KNIFE-EDIT(1)

NAME
knife-edit - The man page for the knife edit subcommand.

The knife edit subcommand is used to edit objects on the server. This subcommand works similar to knife cookbook edit, knife data bag edit, knife environment edit, knife node edit, and knife role edit, but with a single verb (and a single action).

Syntax

This argument has the following syntax:

$ knife edit (options)

Options

This subcommand has the following options:

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

--chef-repo-path PATH
    The path to the chef-repo. This setting will override the default path to the chef-repo. Default: same as specified by chef_repo_path in config.rb.

--chef-zero-port PORT
    The port on which chef-zero will listen.

--[no-]color
    Indicates whether colored output will be used.

--concurrency
    The number of allowed concurrent connections. Default: 10.

-d, --disable-editing
    Indicates that $EDITOR will not be opened; data will be accepted as-is.

--defaults
    Indicates that Knife will use the default value, instead of asking a user to provide one.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

-h, --help
    Shows help for the command.

-k KEY, --key KEY
    The private key that Knife will use to sign requests made by the API client to the server.

--local
    Use to show files in the local chef-repo instead of a remote location. Default: false.

--print-after
    Indicates that data will be shown after a destructive operation.

--repo-mode MODE
    The layout of the local chef-repo. Possible values: static, everything, or hosted_everything. Use static for just roles, environments, cookbooks, and data bags. By default, everything and hosted_everything are dynamically selected depending on the server type. Default: everything / hosted_everything.

-s URL, --server-url URL
    The URL for the server.

-u USER, --user USER
    The user name used by Knife to sign requests made by the API client to the server. Authentication will fail if the user name does not match the private key.

-v, --version
    The version of the chef-client.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

-y, --yes
    Indicates that the response to all confirmation prompts will be "Yes" (and that Knife will not ask for confirmation).

-z, --local-mode
    Indicates that the chef-client will be run in local mode, which allows all commands that work against the server to also work against the local chef-repo.

AUTHOR
Chef